#### PyKDE - Python Bindings for KDE

# class KIPC |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KIPC
Inherits |

### enums

- Message = {PaletteChanged, FontChanged, StyleChanged, BackgroundChanged, SettingsChanged, IconChanged, ToolbarStyleChanged, ClipboardConfigChanged, BlockShortcuts, UserMessage }
- Message = {PaletteChanged, FontChanged, StyleChanged, BackgroundChanged, SettingsChanged, IconChanged, ToolbarStyleChanged, ClipboardConfigChanged, UserMessage }
- Message = {PaletteChanged, FontChanged, StyleChanged, BackgroundChanged, SettingsChanged, IconChanged, ToolbarStyleChanged, UserMessage }

### methods

- sendMessage (msg, w, data = 0)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  msg | KIPC.Message |
  w | WId |
  data | int | 0

- sendMessageAll (msg, data = 0)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  msg | KIPC.Message |
  data | int | 0